Name:          anagramarama
Version:       0.4
Release:       1mamba
Summary:       Anagramarama - a FREE word game for Linux
Group:         Graphical Desktop/Applications/Educational
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://github.com/Anagramarama
Source:        https://github.com/Anagramarama/anagramarama.git/v%{version}/anagramarama-%{version}.tar.bz2
Source1:       anagramarama.png
Patch1:        anagramarama.install.patch
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libSDL-devel
BuildRequires: libSDL_mixer-devel
## AUTOBUILDREQ-END
BuildRequires: libSDL-devel
BuildRequires: libSDL_mixer-devel
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
The aim is to find as many words as possible in the time available. Get the longest word and you'll advance to the next level.

%debug_package

%prep
%setup -q
#%patch1 -p1

%build
%make -f makefile.linux

%install
[ "%{buildroot}" != / ] && rm -rf %{buildroot}

install -d -m0755 %{buildroot}%{_datadir}/%{name} %{buildroot}%{_bindir}

cp -a audio %{buildroot}%{_datadir}/%{name}/
cp -a i18n %{buildroot}%{_datadir}/%{name}/
install -m0755 ag %{buildroot}%{_datadir}/%{name}/

cat > %{buildroot}%{_bindir}/ag << _EOF
#!/bin/bash
(cd %{_datadir}/%{_name}; ./ag)
_EOF

chmod +x %{buildroot}%{_bindir}/ag

#Icon
mkdir -p %{buildroot}%{_datadir}/pixmaps
install -D -m 644 %{SOURCE1} %{buildroot}%{_datadir}/pixmaps/%{name}.png

# Create the system menu entry
mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Name=%{name}
Comment=A word game for Linux
Exec=ag
Icon=%{_datadir}/pixmaps/anagramarama.png
Terminal=0
Type=Application
X-KDE-StartupNotify=false
Categories=Education;
EOF

%clean
[ "%{buildroot}" != / ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{_bindir}/ag
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/ag
%dir %{_datadir}/%{name}/audio
%{_datadir}/%{name}/audio/*.wav
%dir %{_datadir}/%{name}/i18n
%{_datadir}/anagramarama/i18n/en_GB
%{_datadir}/anagramarama/i18n/fr
%{_datadir}/anagramarama/i18n/pt_BR
%{_datadir}/applications/anagramarama.desktop
%{_datadir}/pixmaps/anagramarama.png

%changelog
* Thu Feb 04 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 0.4-1mamba
- update to 0.4

* Tue Jul 16 2013 Automatic Build System <autodist@mambasoft.it> 0.2-3mamba
- automatic rebuild by autodist

* Mon Jun 29 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 0.2-2mamba
- specfile updated and rebuilt

* Tue Jul 19 2005 Alessandro Ramazzina <alessandro.ramazzina@qilinux.it> 0.2-1qilnx
- package created by autospec
